<?php
class iwParameterArray extends iwParameter
{
    public function __construct($name='',$value='')
    {
        $arr = array();
        if (!is_array($value))
        {
            if ($value != '')
            {
                $arr[] = $value;
            } 
        }
        else
        {
            $arr = $value;
        }
        
        parent::__construct ($name,$arr);
    }

    public function addItem($name,$value)
    {
        $this->_value[$name] = $value;
    }

    public function addItem_nokey($value)
    {
        $this->_value[] = $value;
    }
    
    public function getItem ($name)
    {
        return isset ($this->_value[$name]) ? $this->_value[$name] : '';
    }
    
    public function setArray($newArray)
    {
        if (!is_array($newArray))
            $this->_value = array($newArray);
        else
            $this->_value = $newArray;
    }
}
  
?>
