<?php
/**
* name: PDF Preview
* description: Allows users to view a PDF file directly in the document details page (no need to download)
* date: 5/7/2008
* version: 1.0
* author: iWonder Designs
*/

nx_register_handler('EVENT_DOCUMENT_PREVIEW_NEEDED','pdfpreview_displaypreview');

function pdfpreview_displaypreview($params)
{    
    $content = &$params['content'];
    $doc = &$params['doc'];
    if ($doc->get(PROP_SUBTYPE_ID) == DOCTYPE_PDF)
    {
        $content = '<object data="'.$doc->getExternalLinkToDocument().'" type="application/pdf" width="100%" height="600">
                    alt : <a href="'.$doc->getExternalLinkToDocument().'">Download PDF Document</a></object>';
    }    
}
  
?>
