<?php
/**
* @desc ActionItems are objects that are used to identify
*   links that lead to application actions.  Unlike NavItems
*   ActionItems usually appear in the content area as part 
*   of an administration or user console.  ActionsItems can
*   contain other ActionsItems.  In this way, you can setup
*   a hierarchy of actions items.   
*/
class ActionItem
{
    public function __construct($title,$link,$icon)
    {
        $this->title = $title;
        $this->link = $link;
        $this->icon = $icon;
    }
    
    public $title = '';
    public $link = '';
    public $icon = '';
    
    public $parent = false;
    public $children = array();
}  
?>
