<?php


abstract class shUploader
{
	protected $_categoryId = 0;
    protected $_uploadLocation = DEST_UPLOAD_LIBRARY;

	public function createBaseTargetUrl()
	{
        if ($this->_uploadLocation == DEST_UPLOAD_LIBRARY)
        {
		    return 'upload.php?sessid='.base64_encode(session_id()).
                        '&ut='.base64_encode(get_class($this)).
                        '&dest='.$this->_uploadLocation;
        }
        else if ($this->_uploadLocation == DEST_UPLOAD_FILEBOX)
        {
            return 'upload.php?sessid='.base64_encode(session_id()).
                        '&ut='.base64_encode(get_class($this)).
                        '&dest='.$this->_uploadLocation;
        }
        else if ($this->_uploadLocation == DEST_UPLOAD_PURGATORY)
        {
            return 'upload.php?sessid='.base64_encode(session_id()).
                        '&ut='.base64_encode(get_class($this)).
                        '&dest='.$this->_uploadLocation;
        }        
	}
	
	public function setCategory($catId)
	{
		$this->_categoryId = $catId;
	}
	
	public function getCategory()
	{
		return $this->_categoryId;
	}

    public function setUploadLocation($loc)
    {
        $this->_uploadLocation = $loc;
    }
    
    public function getUploadLocation()
    {
        return $this->_uploadLocation;
    }
	
	abstract public function getMarkup();
	abstract public function handleFiles();
}

?>