## 
## Table structure for table `iw_modifications`
## 

CREATE TABLE `iw_modifications` (
  `mod_id` int(10) unsigned NOT NULL auto_increment,
  `subject_id` varchar(255) NOT NULL default '0',
  `subject_type` varchar(255) NOT NULL default '',
  `username` varchar(255) NOT NULL default '0',
  `date` datetime default NULL,
  `ip` varchar(255) NOT NULL default '',
  `action` varchar(255) default NULL,
  `data` text NOT NULL,
  `client_info` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`mod_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

## 
## Dumping data for table `iw_modifications`
## 


## ########################################################

## 
## Table structure for table `iw_users`
## 

CREATE TABLE `iw_users` (
  `username` varchar(255) NOT NULL default '',
  `first_name` text NOT NULL,
  `last_name` text NOT NULL,
  `email` text NOT NULL,
  `password` varchar(255) NOT NULL default '',
  `date_joined` bigint(14) default NULL,
  `date_lastlogin` bigint(14) default NULL,
  `last_session_id` text NOT NULL,
  `date_lastactivity` bigint(14) default NULL,
  `user_type` int(10) unsigned NOT NULL default '0',
  `status` tinyint(3) unsigned NOT NULL default '0',
  `hash` varchar(255) NOT NULL default '',
  `login_ip` text NOT NULL,
  `login_client_info` text NOT NULL,
  `city` varchar(255) NOT NULL default '',
  `state` varchar(255) NOT NULL default '',
  `itempool_size_mb` int(11) NOT NULL default '10',
  `allowUserChangeSettings` tinyint(4) NOT NULL,
  `allowUserAddFileBoxDocument` tinyint(4) NOT NULL,
  `allowUserEditFileBoxDocument` tinyint(4) NOT NULL,
  `allowUserDeleteFileBoxDocument` tinyint(4) NOT NULL,
  `allowDomainChangeSettings` tinyint(4) NOT NULL,
  `allowDomainAddDocument` tinyint(4) NOT NULL,
  `allowDomainEditDocument` tinyint(4) NOT NULL,
  `allowDomainDeleteDocument` tinyint(4) NOT NULL,
  `allowDomainAddGroup` tinyint(4) NOT NULL,
  `allowDomainEditGroup` tinyint(4) NOT NULL,
  `allowDomainDeleteGroup` tinyint(4) NOT NULL,
  `allowDomainAddUser` tinyint(4) NOT NULL,
  `allowDomainEditUser` tinyint(4) NOT NULL,
  `allowDomainDeleteUser` tinyint(4) NOT NULL,
  `allowDomainViewTrash` tinyint(4) NOT NULL,
  `allowDomainRestoreTrash` tinyint(4) NOT NULL,
  `allowDomainDeletePermanently` tinyint(4) NOT NULL,
  `allowDomainViewReports` tinyint(4) NOT NULL,
  `allowDomainSendGroupMail` tinyint(4) NOT NULL,
  `allowDomainGroupChangeSettings` tinyint(4) NOT NULL,
  `allowDomainGroupAddDocument` tinyint(4) NOT NULL,
  `allowDomainGroupEditDocument` tinyint(4) NOT NULL,
  `allowDomainGroupDeleteDocument` tinyint(4) NOT NULL,
  `allowDomainGroupAddUser` tinyint(4) NOT NULL,
  `allowDomainGroupEditUser` tinyint(4) NOT NULL,
  `allowDomainGroupDeleteUser` tinyint(4) NOT NULL,
  `allowDomainGroupViewTrash` tinyint(4) NOT NULL,
  `allowDomainGroupRestoreTrash` tinyint(4) NOT NULL,
  `allowDomainGroupDeletePermanently` tinyint(4) NOT NULL,
  `allowDomainGroupViewReports` tinyint(4) NOT NULL,
  `allowDomainGroupSendGroupMail` tinyint(4) NOT NULL,
  `allowGlobalChangeSettings` tinyint(4) NOT NULL,
  `allowGlobalAddCompany` tinyint(4) NOT NULL,
  `allowGlobalEditCompany` tinyint(4) NOT NULL,
  `allowGlobalDeleteCompany` tinyint(4) NOT NULL,
  `allowGlobalAddDocument` tinyint(4) NOT NULL,
  `allowGlobalEditDocument` tinyint(4) NOT NULL,
  `allowGlobalDeleteDocument` tinyint(4) NOT NULL,
  `allowGlobalAddGroup` tinyint(4) NOT NULL,
  `allowGlobalEditGroup` tinyint(4) NOT NULL,
  `allowGlobalDeleteGroup` tinyint(4) NOT NULL,
  `allowGlobalAddUser` tinyint(4) NOT NULL,
  `allowGlobalEditUser` tinyint(4) NOT NULL,
  `allowGlobalDeleteUser` tinyint(4) NOT NULL,
  `allowGlobalAddCategory` tinyint(4) NOT NULL,
  `allowGlobalEditCategory` tinyint(4) NOT NULL,
  `allowGlobalDeleteCategory` tinyint(4) NOT NULL,
  `allowGlobalViewTrash` tinyint(4) NOT NULL,
  `allowGlobalRestoreTrash` tinyint(4) NOT NULL,
  `allowGlobalDeletePermanently` tinyint(4) NOT NULL,
  `allowGlobalViewReports` tinyint(4) NOT NULL,
  `allowGlobalFileBoxEditDocument` tinyint(4) NOT NULL,
  `allowGlobalFileBoxDeleteDocument` tinyint(4) NOT NULL,
  `allowGlobalSendGroupMail` tinyint(4) NOT NULL,
  PRIMARY KEY  (`username`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `iw_users`
-- 

INSERT INTO `iw_users` (`username`, `first_name`, `last_name`, `email`, `password`, `date_joined`, `date_lastlogin`, `last_session_id`, `date_lastactivity`, `user_type`, `status`, `hash`, `login_ip`, `login_client_info`, `city`, `state`, `itempool_size_mb`, `allowUserChangeSettings`, `allowUserAddFileBoxDocument`, `allowUserEditFileBoxDocument`, `allowUserDeleteFileBoxDocument`, `allowDomainChangeSettings`, `allowDomainAddDocument`, `allowDomainEditDocument`, `allowDomainDeleteDocument`, `allowDomainAddGroup`, `allowDomainEditGroup`, `allowDomainDeleteGroup`, `allowDomainAddUser`, `allowDomainEditUser`, `allowDomainDeleteUser`, `allowDomainViewTrash`, `allowDomainRestoreTrash`, `allowDomainDeletePermanently`, `allowDomainViewReports`, `allowDomainSendGroupMail`, `allowDomainGroupChangeSettings`, `allowDomainGroupAddDocument`, `allowDomainGroupEditDocument`, `allowDomainGroupDeleteDocument`, `allowDomainGroupAddUser`, `allowDomainGroupEditUser`, `allowDomainGroupDeleteUser`, `allowDomainGroupViewTrash`, `allowDomainGroupRestoreTrash`, `allowDomainGroupDeletePermanently`, `allowDomainGroupViewReports`, `allowDomainGroupSendGroupMail`, `allowGlobalChangeSettings`, `allowGlobalAddCompany`, `allowGlobalEditCompany`, `allowGlobalDeleteCompany`, `allowGlobalAddDocument`, `allowGlobalEditDocument`, `allowGlobalDeleteDocument`, `allowGlobalAddGroup`, `allowGlobalDeleteGroup`, `allowGlobalAddUser`, `allowGlobalEditUser`, `allowGlobalDeleteUser`, `allowGlobalAddCategory`, `allowGlobalEditCategory`, `allowGlobalDeleteCategory`, `allowGlobalViewTrash`, `allowGlobalRestoreTrash`, `allowGlobalDeletePermanently`, `allowGlobalViewReports`, `allowGlobalFileBoxEditDocument`, `allowGlobalFileBoxDeleteDocument`, `allowGlobalSendGroupMail`, `allowGlobalEditGroup`) VALUES ('admin', 'Nexus', 'Administrator', 'karim@iwonderdesigns.com', '5f4dcc3b5aa765d61d8327deb882cf99', NULL, 1179269310, '542ba5813f7aad233c08490c9f61cf42', 1179269310, 3, 1, '', '127.0.0.1', 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.3) Gecko/20070309 Firefox/2.0.0.3', '', '', 10, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 1);

## ########################################################

## 
## Table structure for table `sh_attributes`
## 

CREATE TABLE `sh_attributes` (
  `attribute_id` int(11) NOT NULL auto_increment,
  `attribute_name` varchar(255) NOT NULL default '',
  `attribute_description` varchar(255) NOT NULL default '',
  `attribute_type` varchar(255) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`attribute_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

## 
## Dumping data for table `sh_attributes`
## 


## ########################################################

## 
## Table structure for table `sh_categories`
## 

CREATE TABLE `sh_categories` (
  `category_id` int(11) NOT NULL auto_increment,
  `parent_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `description` text NOT NULL,
  `status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`category_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

## 
## Dumping data for table `sh_categories`
## 


## ########################################################

## 
## Table structure for table `sh_companies`
## 

CREATE TABLE `sh_companies` (
  `company_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  `intro_page_html` text NOT NULL,
  `logo` longblob NOT NULL,
  PRIMARY KEY  (`company_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

## 
## Dumping data for table `sh_companies`
## 

INSERT INTO `sh_companies` VALUES (1, 'Default Organization', 'This is the organization used when the user is not assigned to any other organization.', 1, '<p>\r\nNon-administrators who are members of this company will see just after they login.  Nexus allows you to customize the home page on a per-company basis using pure HTML.     \r\n</p>\r\n', '');

## ########################################################

## 
## Table structure for table `sh_company_group_map`
## 

CREATE TABLE `sh_company_group_map` (
  `company_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0'
) TYPE=MyISAM;

## 
## Dumping data for table `sh_company_group_map`
## 

INSERT INTO `sh_company_group_map` VALUES (1, 1);

## ########################################################

## 
## Table structure for table `sh_groups`
## 

CREATE TABLE `sh_groups` (
  `group_id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `description` varchar(255) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`group_id`)
) TYPE=MyISAM AUTO_INCREMENT=2 ;

## 
## Dumping data for table `sh_groups`
## 

INSERT INTO `sh_groups` VALUES (1, 'Default Group', 'This is the group that users are assigned to when they have no other group', 1);

## ########################################################

## 
## Table structure for table `sh_item_access_map`
## 

CREATE TABLE `sh_item_access_map` (
  `item_id` int(11) NOT NULL default '0',
  `company_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `permission_type` tinyint(4) NOT NULL default '0'
) TYPE=MyISAM;

## 
## Dumping data for table `sh_item_access_map`
## 


## ########################################################

## 
## Table structure for table `sh_item_attribute_map`
## 

CREATE TABLE `sh_item_attribute_map` (
  `item_id` int(11) NOT NULL default '0',
  `attribute_id` int(11) NOT NULL default '0'
) TYPE=MyISAM;

## 
## Dumping data for table `sh_item_attribute_map`
## 


## ########################################################

## 
## Table structure for table `sh_item_category_map`
## 

CREATE TABLE `sh_item_category_map` (
  `item_id` int(11) NOT NULL default '0',
  `category_id` int(11) NOT NULL default '0'
) TYPE=MyISAM;

## 
## Dumping data for table `sh_item_category_map`
## 


## ########################################################

## 
## Table structure for table `sh_item_item_map`
## 

CREATE TABLE `sh_item_item_map` (
  `source_item_id` int(11) NOT NULL default '0',
  `related_item_id` int(11) NOT NULL default '0'
) TYPE=MyISAM;

## 
## Dumping data for table `sh_item_item_map`
## 


## ########################################################

## 
## Table structure for table `sh_item_pool`
## 

CREATE TABLE `sh_item_pool` (
  `item_id` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL default '',
  `item_title` varchar(255) NOT NULL default '',
  `item_description` text NOT NULL,
  `item_original_filename` varchar(255) NOT NULL default '',
  `item_status` smallint(6) NOT NULL default '0',
  `item_type_id` varchar(255) NOT NULL default '0',
  `item_subtype_id` varchar(255) NOT NULL default '0',
  `item_type_version` int(11) NOT NULL default '0',
  `item_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `item_data` text NOT NULL,
  PRIMARY KEY  (`item_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

## 
## Dumping data for table `sh_item_pool`
## 


## ########################################################

## 
## Table structure for table `sh_items`
## 

CREATE TABLE `sh_items` (
  `item_id` int(11) NOT NULL auto_increment,
  `item_title` varchar(255) NOT NULL default '',
  `item_description` varchar(255) NOT NULL default '',
  `item_type_id` varchar(255) NOT NULL default '',
  `item_subtype_id` varchar(255) NOT NULL default '',
  `item_type_version` int(11) NOT NULL default '0',
  `item_original_filename` varchar(255) NOT NULL default '',
  `item_data` text NOT NULL,
  `item_created` datetime NOT NULL default '0000-00-00 00:00:00',
  `item_modified` datetime NOT NULL default '0000-00-00 00:00:00',
  `item_status` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`item_id`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;

## 
## Dumping data for table `sh_items`
## 


## ########################################################

## 
## Table structure for table `sh_user_access_map`
## 

CREATE TABLE `sh_user_access_map` (
  `username` varchar(255) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `company_id` int(11) NOT NULL default '0'
) TYPE=MyISAM;

INSERT INTO `sh_user_access_map` (`username`, `group_id`, `company_id`) VALUES ('admin', 1, 1);

## 
## Dumping data for table `sh_user_access_map`
## 

INSERT INTO `sh_user_access_map` VALUES ('karim', 1, 1);

CREATE TABLE `sh_settings` (
  `setting_id` varchar(25) NOT NULL,
  `setting_value` varchar(255) NOT NULL,
  PRIMARY KEY  (`setting_id`)
) TYPE=MyISAM;

## 
## Dumping data for table `sh_settings`
## 

INSERT INTO `sh_settings` (`setting_id`, `setting_value`) VALUES ('date_format_long', 'F j, Y'),
('company_name', 'My Company'),
('site_tagline', 'Nexus Library of Documents'),
('time_date_format_short', 'm/d/Y g:i a'),
('date_format_short', 'm/d/y'),
('list_view_default', '0'),
('time_date_format_long', 'F j, Y, g:i a'),
('time_format', 'g:i a'),
('allow_self_reg', '0'),
('self_reg_group', '1'),
('self_reg_company', '1');

## 
## Table structure for table `sh_category_user_notification_map`
## 

CREATE TABLE `sh_category_user_notification_map` (
  `id` int(11) NOT NULL auto_increment,
  `category_id` int(11) NOT NULL,
  `username` varchar(255) NOT NULL,
  `notify_type` enum('email') NOT NULL,
  `change_type` enum('add','update') NOT NULL,
  PRIMARY KEY  (`id`)
) Type=MyISAM AUTO_INCREMENT=1 ;

## 
## Table structure for table `sh_item_conversations`
## 

CREATE TABLE `sh_item_conversations` (
  `post_id` int(11) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL,
  `body` text NOT NULL,
  `username` varchar(255) NOT NULL,
  `creation_date` datetime NOT NULL,
  `parent_post_id` int(11) NOT NULL default '0',
  `item_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`post_id`)
) Type=MyISAM AUTO_INCREMENT=1 ;

## 
## Table structure for table `sh_category_access_map`
## 

CREATE TABLE `sh_category_access_map` (
  `category_id` int(11) NOT NULL default '0',
  `company_id` int(11) NOT NULL default '0',
  `group_id` int(11) NOT NULL default '0',
  `permission_type` tinyint(4) NOT NULL default '0'
) ENGINE=MyISAM ;

## 
## Table structure for table `sh_pool_user_access`
## 

CREATE TABLE `sh_pool_user_access` (
  `pool_item_id` INTEGER UNSIGNED ZEROFILL NOT NULL,
  `username` VARCHAR(255) NOT NULL,
  `access` INTEGER UNSIGNED ZEROFILL NOT NULL
) ENGINE=MyISAM ;

## 
## Table structure for table `sh_plugins`
## 

CREATE TABLE `sh_plugins` (
`plugin_id` INT NOT NULL AUTO_INCREMENT PRIMARY KEY ,
`name` VARCHAR( 255 ) NOT NULL ,
`active` TINYINT NOT NULL
) ENGINE=MyISAM AUTO_INCREMENT=1 ;